Hitachi Vantara Pentaho Community Forums
Results 1 to 4 of 4

Thread: Pentaho 8.0.0.0-29 running using jdk 9.0.4

  1. #1

    Default Pentaho 8.0.0.0-28 running using jdk 9.0.4

    Was upgrading from Pentaho 7 and JDK 8 to Pentaho 8 and JDK 9 and am seeing this issue:
    thinking it relates to settings in <pdi_home>/system/karaf/etc/org.apache.karaf.features.cfg


    seeing many errors in spoon.log at start up
    as it processes featuresRepositories


    ERROR: Bundle org.ops4j.pax.url.mvn [1] Error starting mvnrg.ops4j.pax.url/pax-url-aether/2.3.0 (org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pax.url.mvn [1]: Unable to resolve 1.0: missing requirement [1.0] osgi.wiring.package; (&(osgi.wiring.package=org.slf4j)(version>=1.6.0)(!(version>=2.0.0))))
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pax.url.mvn [1]: Unable to resolve 1.0: missing requirement [1.0] osgi.wiring.package; (&(osgi.wiring.package=org.slf4j)(version>=1.6.0)(!(version>=2.0.0)))
    at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4002)
    at org.apache.felix.framework.Felix.startBundle(Felix.java:2045)
    at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299)
    at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
    at java.base/java.lang.Thread.run(Thread.java:844)

    when spoon does come up the ability to connect to a repository is not present in the ui.

    has anyone else run into this issue?
    Last edited by nmogielnicki; 02-02-2018 at 11:06 AM.

  2. #2
    Join Date
    Aug 2011
    Posts
    236

    Default

    Hi,

    I'm not sure Pentaho 8.0 runs under Java 9. The documentation says to use Java 8.
    PDI 8.0.0
    MySQL - 5.6.27
    Redshift - 1.0.1485
    PostgreSQL 8.0.2
    OS - Ubuntu 10.04.2

  3. #3

    Default

    Quote Originally Posted by tnewman View Post
    Hi,

    I'm not sure Pentaho 8.0 runs under Java 9. The documentation says to use Java 8.

    Can you post a link to where they mention this ? (The documentation says to use Java 8)

    Also trying to get Spoon (Pentaho 8) to use JDK 9.0.4. I can open the IDE but cannot create any database connections (using Table Input).
    Did not test or investigate further thinking Java 9 is probably not fully supported yet.

  4. #4
    Join Date
    Aug 2011
    Posts
    236

    Default

    Hi,

    See - https://help.pentaho.com/Documentati...ents_Reference - page down to Java Virtual Machine section.

    I would say that Java 9 has not been assessed as yet.

    Thanks,
    PDI 8.0.0
    MySQL - 5.6.27
    Redshift - 1.0.1485
    PostgreSQL 8.0.2
    OS - Ubuntu 10.04.2

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.